---
- name: Include create_users_json.yml
  ansible.builtin.import_playbook: create_users_json.yml

- name: Test users present
  hosts: ipaserver
  become: true
  gather_facts: false

  tasks:
  - name: Include users.json
    ansible.builtin.include_vars:
      file: users.json  # noqa missing-import

  - name: Users present len:{{ users | length }}
    ipauser:
      ipaadmin_password: SomeADMINpassword
      users: "{{ users }}"
